package de.avatic.lcc.dto.configuration.material.view;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.generic.DimensionDTO;
import de.avatic.lcc.dto.generic.NodeDTO;
import de.avatic.lcc.dto.generic.PropertyDTO;

import java.util.List;

public class MaterialDetailPackagingDTO {

    private Integer id;

    @JsonProperty("is_deprecated")
    private Boolean isDeprecated;

    private NodeDTO supplier;

    @JsonProperty("handling_unit")
    private DimensionDTO hu;

    @JsonProperty("small_handling_unit")
    private DimensionDTO shu;

    private List<PropertyDTO> properties;

    public List<PropertyDTO> getProperties() {
        return properties;
    }

    public void setProperties(List<PropertyDTO> properties) {
        this.properties = properties;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @JsonProperty("is_deprecated")
    public Boolean getDeprecated() {
        return isDeprecated;
    }

    @JsonProperty("is_deprecated")
    public void setDeprecated(Boolean deprecated) {
        isDeprecated = deprecated;
    }

    public NodeDTO getSupplier() {
        return supplier;
    }

    public void setSupplier(NodeDTO supplier) {
        this.supplier = supplier;
    }

    public DimensionDTO getHu() {
        return hu;
    }

    public void setHu(DimensionDTO hu) {
        this.hu = hu;
    }

    public DimensionDTO getShu() {
        return shu;
    }

    public void setShu(DimensionDTO shu) {
        this.shu = shu;
    }
}